Skip to main content
POST
/
v3
/
baselines
add baseline to a model
curl --request POST \
  --url https://{host}/v3/baselines \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_time": 123,
  "end_time": 123,
  "offset_delta": 2
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "row_count": 123,
    "model": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "version": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "environment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "start_time": 123,
    "end_time": 123,
    "offset_delta": 2
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

A name describing the baseline

model_id
string<uuid>
required

The unique identifier for the model associated with the baseline

type
enum<string>
required

The type of baseline, indicating whether it is STATIC or ROLLING.

Available options:
STATIC,
ROLLING
env_type
enum<string>
required

The environment type for the baseline, indicating whether it applies to production or pre-production environments.

Available options:
PRODUCTION,
PRE_PRODUCTION
env_id
string<uuid> | null

Required when env_type is PRE_PRODUCTION

start_time
integer

Start time in milliseconds from epoch for production data

end_time
integer

End time in milliseconds from epoch for production data

offset_delta
integer

x is offset delta for offset=x*window_bin_size

Required range: x >= 1
window_bin_size
enum<string>

Window size to be used for relative baseline

Available options:
Hour,
Day,
Week,
Month

Response

successful baseline creation

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
timestamp · object

To record created at and updated at timestamp fields